OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000976OMNeT++Installer / Productizingpublic2016-11-27 13:562017-02-06 10:15
Reportervaleriot90 
Assigned Torhornig 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0 
Target VersionFixed in Version5.1pre3 
Summary0000976: Omnetpp does not start on macOS Sierra
DescriptionAfter configure and make, omnetpp does not start. With terminal, if I try to execute ./omnetpp (in /bin directory) the output is:
Starting the OMNeT++ IDE...

Steps To ReproduceIf I try with double click on the bin the terminal's output is:
Starting the OMNeT++ IDE...
logout
Saving sessione...
...copying shared history...
...saving history...truncating history files..
...completed.
Deleting expired sessione... 52 completed.

[Process completed]

a pop-up of Sierra report an error:
omnetpp quit unexpectedly

I have allow the program in Gatekeep.
Tagsbug, MacOS, Sierra, solution
Attached Files

- Relationships
duplicate of 0000973resolvedrhornig Omnetpp does not start on macOS Sierra 

-  Notes
(0001233)
valeriot90 (reporter)
2016-12-11 09:59

You must execute this file bin:
../omnetpp-5.0/ide/omnetpp.app/Contents/MacOS/omnetpp
from terminal or double click.
(0001234)
rhornig (administrator)
2016-12-12 11:51

Yes, siearra added several security features that effectively blocks the omnet IDE:

- Unsigned apps are no longer allowed to run by default
- App translocation runs the IDE from a randomized filesystem location preventing the IDE to work correctly.

OMNeT++ 5.1 will fix this, thanks for reporting

- Issue History
Date Modified Username Field Change
2016-11-27 13:56 valeriot90 New Issue
2016-12-11 09:57 valeriot90 Tag Attached: bug
2016-12-11 09:57 valeriot90 Tag Attached: solution
2016-12-11 09:57 valeriot90 Tag Attached: MacOS
2016-12-11 09:57 valeriot90 Tag Attached: Sierra
2016-12-11 09:59 valeriot90 Note Added: 0001233
2016-12-12 11:51 rhornig Note Added: 0001234
2016-12-22 11:59 rhornig Relationship added duplicate of 0000973
2016-12-22 11:59 rhornig Status new => resolved
2016-12-22 11:59 rhornig Fixed in Version => 5.1
2016-12-22 11:59 rhornig Resolution open => fixed
2016-12-22 11:59 rhornig Assigned To => rhornig
2017-02-06 10:15 rhornig Fixed in Version 5.1 => 5.1pre3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker